package com.atlassian.webdriver.bitbucket.page;

public class UserPullRequestOverviewPage extends PullRequestOverviewPage {
    private String username;

    public UserPullRequestOverviewPage(String username, String slug, long pullRequestId) {
        super("~" + username, slug, pullRequestId);
        this.username = username;
    }

    @Override
    public String getUrl() {
        return "/users/" + username + "/repos/" + slug + "/pull-requests/" + String.valueOf(getPullRequestId()) + "/overview";
    }
}
